import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const currency = await conductor.qbd.currencies.create({
currencyCode: 'USD',
name: 'United States Dollar',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(currency.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
currency = conductor.qbd.currencies.create(
currency_code="USD",
name="United States Dollar",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(currency.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/currencies \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "United States Dollar",
"currencyCode": "USD",
"isActive": true,
"currencyFormat": {
"thousandSeparator": "comma",
"thousandSeparatorGrouping": "xx_xxx_xxx",
"decimalPlaces": "2",
"decimalSeparator": "period"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'United States Dollar',
'currencyCode' => 'USD',
'isActive' => true,
'currencyFormat' => [
'thousandSeparator' => 'comma',
'thousandSeparatorGrouping' => 'xx_xxx_xxx',
'decimalPlaces' => '2',
'decimalSeparator' => 'period'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/currencies"
payload := strings.NewReader("{\n \"name\": \"United States Dollar\",\n \"currencyCode\": \"USD\",\n \"isActive\": true,\n \"currencyFormat\": {\n \"thousandSeparator\": \"comma\",\n \"thousandSeparatorGrouping\": \"xx_xxx_xxx\",\n \"decimalPlaces\": \"2\",\n \"decimalSeparator\": \"period\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/currencies")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"United States Dollar\",\n \"currencyCode\": \"USD\",\n \"isActive\": true,\n \"currencyFormat\": {\n \"thousandSeparator\": \"comma\",\n \"thousandSeparatorGrouping\": \"xx_xxx_xxx\",\n \"decimalPlaces\": \"2\",\n \"decimalSeparator\": \"period\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"United States Dollar\",\n \"currencyCode\": \"USD\",\n \"isActive\": true,\n \"currencyFormat\": {\n \"thousandSeparator\": \"comma\",\n \"thousandSeparatorGrouping\": \"xx_xxx_xxx\",\n \"decimalPlaces\": \"2\",\n \"decimalSeparator\": \"period\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_currency",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "United States Dollar",
"isActive": true,
"currencyCode": "USD",
"currencyFormat": {
"thousandSeparator": "comma",
"thousandSeparatorGrouping": "xx_xxx_xxx",
"decimalPlaces": "2",
"decimalSeparator": "period"
},
"isUserDefinedCurrency": false,
"exchangeRate": 1.2345,
"asOfDate": "2024-08-01T00:00:00.000Z"
}Create a currency
Creates a user-defined currency with the specified name and currency code. Exchange rates for user-defined currencies are not updated automatically by QuickBooks Desktop; update them manually as needed.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const currency = await conductor.qbd.currencies.create({
currencyCode: 'USD',
name: 'United States Dollar',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(currency.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
currency = conductor.qbd.currencies.create(
currency_code="USD",
name="United States Dollar",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(currency.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/currencies \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "United States Dollar",
"currencyCode": "USD",
"isActive": true,
"currencyFormat": {
"thousandSeparator": "comma",
"thousandSeparatorGrouping": "xx_xxx_xxx",
"decimalPlaces": "2",
"decimalSeparator": "period"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'United States Dollar',
'currencyCode' => 'USD',
'isActive' => true,
'currencyFormat' => [
'thousandSeparator' => 'comma',
'thousandSeparatorGrouping' => 'xx_xxx_xxx',
'decimalPlaces' => '2',
'decimalSeparator' => 'period'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/currencies"
payload := strings.NewReader("{\n \"name\": \"United States Dollar\",\n \"currencyCode\": \"USD\",\n \"isActive\": true,\n \"currencyFormat\": {\n \"thousandSeparator\": \"comma\",\n \"thousandSeparatorGrouping\": \"xx_xxx_xxx\",\n \"decimalPlaces\": \"2\",\n \"decimalSeparator\": \"period\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/currencies")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"United States Dollar\",\n \"currencyCode\": \"USD\",\n \"isActive\": true,\n \"currencyFormat\": {\n \"thousandSeparator\": \"comma\",\n \"thousandSeparatorGrouping\": \"xx_xxx_xxx\",\n \"decimalPlaces\": \"2\",\n \"decimalSeparator\": \"period\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"United States Dollar\",\n \"currencyCode\": \"USD\",\n \"isActive\": true,\n \"currencyFormat\": {\n \"thousandSeparator\": \"comma\",\n \"thousandSeparatorGrouping\": \"xx_xxx_xxx\",\n \"decimalPlaces\": \"2\",\n \"decimalSeparator\": \"period\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_currency",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "United States Dollar",
"isActive": true,
"currencyCode": "USD",
"currencyFormat": {
"thousandSeparator": "comma",
"thousandSeparatorGrouping": "xx_xxx_xxx",
"decimalPlaces": "2",
"decimalSeparator": "period"
},
"isUserDefinedCurrency": false,
"exchangeRate": 1.2345,
"asOfDate": "2024-08-01T00:00:00.000Z"
}Authorizations
Headers
Body
The case-insensitive unique name of this currency, unique across all currencies. For built-in currencies, the name is the internationally accepted currency name and is not editable.
NOTE: Currencies do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
Maximum length: 64 characters.
64"United States Dollar"
The internationally accepted currency code used by this currency, typically based on the ISO 4217 standard (for example, USD for US Dollars). Built-in QuickBooks currencies follow ISO 4217. For user-defined currencies, following ISO 4217 is recommended but not required. In many cases, the three-letter code is formed from the country's two-letter internet code plus a currency letter (e.g., BZ + D → BZD for Belize Dollar).
Maximum length: 3 characters.
3"USD"
Response
Returns the newly created currency.
The current QuickBooks-assigned revision number of this currency object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this currency, unique across all currencies. For built-in currencies, the name is the internationally accepted currency name and is not editable.
NOTE: Currencies do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
"United States Dollar"
The internationally accepted currency code used by this currency, typically based on the ISO 4217 standard (for example, USD for US Dollars). Built-in QuickBooks currencies follow ISO 4217. For user-defined currencies, following ISO 4217 is recommended but not required. In many cases, the three-letter code is formed from the country's two-letter internet code plus a currency letter (e.g., BZ + D → BZD for Belize Dollar).
"USD"

